Subject: probleme update syntax

From: Simon Beaudry <[email-masked]>
Date: Mon, 18 May 2009 17:49:28 -0400

Bonjour a tous!
je suis un nouvel utilisateur de Lilipond et je sens que j'aurai  
beaucoup de plaisir à l'utiliser. j'espere que je deviendrai  
rapidement a l'aise avec le logiciel et que je pourrai aider d'autres  
utilisateurs.

j'ai un probleme : lorsque j'utilise la commande Update syntax,  
j'obtiens le message suivant

Python 2.4 or newer is required to run this program.

Please upgrade Python from http://python.org/download/, and if you  
use MacOS X,
please read 'Setup for MacOS X' in Application Usage.

j'ai Python 2.6 installé sur MacOS X et j'utilise Lilypond 2.12.2
qu'est-ce qui ne va pas? qu'est-ce que le 'Application Usage' ?
merci!

Simon

---

From: Valentin Villenave <[email-masked]>
Date: Tue, 19 May 2009 18:28:22 +0200

> Bonjour a tous!

Bonjour,

> je suis un nouvel utilisateur de Lilipond et je sens que j'aurai beaucoup de
> plaisir à l'utiliser. j'espere que je deviendrai rapidement a l'aise avec le
> logiciel et que je pourrai aider d'autres utilisateurs.

C'est ce qui se produit en général :-)

> j'ai un probleme : lorsque j'utilise la commande Update syntax, j'obtiens le
> message suivant
> Please upgrade Python from http://python.org/download/, and if you use MacOS
> X,

Petite précision : cette commande est destinée à convertir de "vieux"
fichiers LilyPond pour pouvoir les compiler avec la dernière version
(la syntaxe ayant évolué au fil des versions).

> qu'est-ce qui ne va pas? qu'est-ce que le 'Application Usage' ?

Ceci :
http://lilypond.org/doc/v2.12/Documentation/user/lilypond-program/index.fr.html

Il existe un problème pour le script convert-ly avec Mac OSX. Le
problème est que Mac inclut (si mes souvenirs sont bons) plusieurs
versions de Python, et celle qui est employée par défaut (2.3) n'est
pas la bonne. Comme l'explique la documentation :
http://lilypond.org/doc/v2.12/Documentation/user/lilypond-program/Setup-for-MacOS-X
Il va vous falloir aller modifier la première ligne du fichier
convert-ly (Ctrl-Clic sur l'application LilyPond, "contenu du paquet",
etc.) pour y indiquer le chemin de votre Python 2.6.

Cordialement,
Valentin